package org.stm.audit.service;

import org.stm.audit.entity.AuditActRelOthers;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * @Description: 控制活动关系表
 * @Author: jeecg-boot
 * @Date:   2024-06-17
 * @Version: V1.0
 */
public interface IAuditActRelOthersService extends IService<AuditActRelOthers> {

    List<Map<String,Object>> queryActAndComplianeItems(List<Integer> idList);
    List<Map<String,Object>> queryActAndInnerControlItems(List<Integer> idList);
    List<Map<String,Object>> queryActAndInnerStrategyItems(List<Integer> idList);
    List<Map<String,Object>> queryActAndProblemItems(List<Integer> idList);
    List<Map<String,Object>> queryActAndRiskItems(List<Integer> idList);
    List<Map<String,Object>> queryActAndCheckItems(List<Integer> idList);

    List<Map<String,Object>> queryActAndPracticeItems(List<Integer> idList);
    List<Map<String,Object>> queryActAndRiskScenarioItems(List<Integer> idList);
    List<Map<String,Object>> queryAllAct();
    List<Map<String,Object>> queryAllLabels();

    void setActRelations(List<AuditActRelOthers> actRelList,String actIds,Integer tid,Integer tp);
    void deleteActRel(String tids,Integer tp);
    Map<Integer,String> queryAllActByTids(List<Integer> tidList,Integer tp);
}
